Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029037
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2015-02-23 18:422015-03-26 16:41
ReporterjecharriView Statuspublic 
Assigned ToOsmany 
PriorityimmediateResolutionfixedFixed in VersionRR15Q2
StatusclosedFix in branchFixed in SCM revisione0d5a3a8bf75
ProjectionnoneETAnoneTarget VersionRR15Q1.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression levelProduction - QA Approved
Regression date2014-08-17
Regression introduced in releaseRR15Q1
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7134637f50705e964eaa59a1999311980b4b4797 [^]
Triggers an Emergency PackNo
Summary

0029037: Cash up amount are not properly updated when you do some cash management in one step

DescriptionCash up amount are not properly updated when you do some cash management in one step
Steps To Reproduce-Go to Web POS
-Go to cash management
-Do 2 withdrawals
-Verify the amount that you are going to keep and press in Done
-Verify that the amount that you kept is not the same amount if you go to cash up window

Download the following video
https://drive.google.com/file/d/0B56e7MMclQ6DVW05ZXg0dkhKVG8/view?usp=sharing [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks feature request 0028933RR16Q1 closedRetail QA: RR15Q2: Add tests for Mobile applications 

-  Notes
(0075095)
hgbot (developer)
2015-03-02 16:12

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: bde978887fd6b7aeb7d72cb19ff46bb03273f64f
Author: Osmany Garcia Machado <osmany.machado <at> peoplewalking.com>
Date: Mon Mar 02 09:12:07 2015 -0600
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/bde978887fd6b7aeb7d72cb19ff46bb03273f64f [^]

Fixed issue 29037: Cash up amount are not properly updated when you do some cash management in one step.

---
M web/org.openbravo.retail.posterminal/js/cashmgmt/model/cashmgmt-model.js
M web/org.openbravo.retail.posterminal/js/utils/cashUpReportUtils.js
---
(0075201)
Osmany (developer)
2015-03-05 16:04

Change the variables name. Related to Commit:
URL: https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/43c9b1f7e612 [^]
(0075876)
hgbot (developer)
2015-03-23 15:21

Repository: retail/backports/3.0RR15Q1.2/org.openbravo.retail.posterminal
Changeset: e0d5a3a8bf751526b9fa2ac32f04bb306436a20b
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Mon Mar 23 15:20:25 2015 +0100
URL: http://code.openbravo.com/retail/backports/3.0RR15Q1.2/org.openbravo.retail.posterminal/rev/e0d5a3a8bf751526b9fa2ac32f04bb306436a20b [^]

Fixed issue 29037: Cash up amount are not properly updated when you do some cash management in one step.

---
M web/org.openbravo.retail.posterminal/js/cashmgmt/model/cashmgmt-model.js
M web/org.openbravo.retail.posterminal/js/utils/cashUpReportUtils.js
---
(0075929)
malsasua (developer)
2015-03-24 14:01

verified in RR15Q1.2
(0075998)
dmitry_mezentsev (developer)
2015-03-26 12:50

"Regression introduced by commit" and linked issue that introduced this regression are missing. Could you fix it up please?

- Issue History
Date Modified Username Field Change
2015-02-23 18:42 jecharri New Issue
2015-02-23 18:42 jecharri Assigned To => marvintm
2015-02-23 18:42 jecharri Regression level => Production - QA Approved
2015-02-23 18:42 jecharri Regression introduced in release => RR15Q1.1
2015-02-23 18:42 jecharri Triggers an Emergency Pack => No
2015-02-23 19:22 Orekaria Relationship added blocks 0028933
2015-03-02 16:12 hgbot Checkin
2015-03-02 16:12 hgbot Note Added: 0075095
2015-03-02 16:12 hgbot Status new => resolved
2015-03-02 16:12 hgbot Resolution open => fixed
2015-03-02 16:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/bde978887fd6b7aeb7d72cb19ff46bb03273f64f [^]
2015-03-02 21:53 Osmany Assigned To marvintm => Osmany
2015-03-05 16:04 Osmany Note Added: 0075201
2015-03-05 16:11 marvintm Review Assigned To => marvintm
2015-03-05 16:11 marvintm Status resolved => closed
2015-03-05 16:11 marvintm Fixed in Version => RR15Q2
2015-03-23 15:21 hgbot Checkin
2015-03-23 15:21 hgbot Note Added: 0075876
2015-03-23 15:21 hgbot Status closed => resolved
2015-03-23 15:21 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/bde978887fd6b7aeb7d72cb19ff46bb03273f64f [^] => http://code.openbravo.com/retail/backports/3.0RR15Q1.2/org.openbravo.retail.posterminal/rev/e0d5a3a8bf751526b9fa2ac32f04bb306436a20b [^]
2015-03-24 14:01 malsasua Note Added: 0075929
2015-03-24 14:01 malsasua Status resolved => closed
2015-03-26 12:50 dmitry_mezentsev Note Added: 0075998
2015-03-26 16:41 malsasua Regression date => 2014-08-17
2015-03-26 16:41 malsasua Regression introduced in release RR15Q1.1 => RR15Q1
2015-03-26 16:41 malsasua Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7134637f50705e964eaa59a1999311980b4b4797 [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker